Actualizando de Feisty a Hardy (beta)

+1
0
-1

Pues nada, que después de mi "éxito" actualizando a Gutsy, me ha dado por probar Hardy.

Lo normal en estos casos hubiera sido actualizar desde Gutsy haciendo sudo update-manager -d pero como no conseguí actualizar a Gutsy, tuve que apañármelas.

Allá va... (esta vez he ido apuntando los pasos según lo hacía)

  • Me descargo y grabo la ISO de Hardy... por si acaso.
  • Siguiendo estas indicaciones, edito /etc/apt/sources.list y reemplazo "feisty" por "hardy", comentando los repositorios que puedan dar problemas.
  • sudo aptitude update
    sudo aptitude dist-upgrade

    «Necesito descargar 1 GB»... A esperar una horita y media.
  • Actualizando... me hace algunas preguntas;yo le digo que sí a todo.
  • «dpkg: error al procesar libnautilus-burn4 (--configure):
     problemas de dependencias - se deja sin procesar
    [...]
    E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct
    the problem»

    Ya empezamos.
  • Ejecuto sudo dpkg --configure -a
    «[...]
    dpkg: demasiados errores, parando
    [...]
    Cancelado (core dumped)»
  • Reinicio. Ya verás tú la que se arma.
  • ¡Ah, pues no! Ni kernel panic, ni pantallazo azul... sólo que los iconos se ven mal y el Firefox no funciona. Aún así, me temo que tendré que instalar desde CD (pero eso ya lo sabíamos todos, ¿o no?)
  • Reinicio desde el LiveCD beta. Veo que funciona, cacharreo un poco, y le doy a "Instalar".
  • Particionado manual. Le indico qué discos son /, /home y otros que quiero que me monte en /media. NO formatees /home, sólo /.
  • Comprobación final y a instalar. Cruzo los dedos.
  • Me dice que el CD está sucio o defectuoso. Reinicio, limpio el CD y lo "verifico en busca de defectos". A esperar.
  • «Check finished: errors found in 1 files!» (¿pero cuál?)
  • Intento instalar de nuevo. Nada, que no hay manera.
  • Compruebo el CD por MD5: parece que la ISO se bajó mal. Me la vuelvo a bajar. A esperar otra horita.
  • Descarga finalizada. MD5 correcto. Grabo el CD. MD5 del CD también correcto. (menos mal que uso CD-RWs, si no, al precio que están...) Reinicio con este CD.
  • ¡A instalar otra vez! (Lo mismo: no formatear /home, sólo /)
  • Anda, si parece que ahora va... :)
  • Instalación completa. Reiniciando...
  • OH YEAH!!! Ahora sólo me falta instalar las 155 actualizaciones, arreglar la resolución (Aplicaciones > Otras > Pantallas y gráficos, por si a alguno le interesa), conseguir que vaya el sonido (sólo me fue el primer día y luego, no sé por qué, dejó de funcionar), instalar aplicaciones...

La verdad, no ha sido para tanto. Y creo que Firefox 3 merece la pena.

Comentarios

Imagen de Festor

 Primer fallo, y muu gordo xD

"Siguiendo estas indicaciones, edito /etc/apt/sources.list y reemplazo "feisty" por "hardy", comentando los repositorios que puedan dar problemas."

Este método no lo aconseja ni la propia Canonical, genera problemas de dependencias (lo que te llevo a  usar el comando dpkg --configure -a)

Lo mejor es usar  el gestor de actualizaciones que es más seguro.

Tambien puedes usar un CD de la siguiente version de Ubuntu para actualizar el sistema:

http://doc.ubuntu-es.org/Actualizar_a_Gutsy#Actualizaci.C3.B3n_utilizando_el_CD.2FDVD_alternativo_.28alternate.29 

****-------------------****

The Life of Nadock Blog

****-------------------****

Imagen de cousteau

Es que, como ya he dicho, no fui capaz de actualizar a Gutsy, y no me dejaba pasar directamente de Feisty a Hardy; en su momento me pareció la única alternativa (ya había asumido que tendría que instalar desde cero de todas formas). Una vez te acostumbras a que formatear no es para tanto si conservas /home...

Lo del CD no lo sabía; la próxima vez (calculo que para el 2010) lo haré así.


«E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem» significa que dpkg se ha interrumpido y que tienes que ejecutar "sudo dpkg --configure -a" para corregir el problema.